body.start.indent
Prev | Pagination and General Styles | Next

## body.start.indent

body.start.indent — The start-indent for the body text

## Synopsis

    <xsl:param name="body.start.indent">
      <xsl:choose>
        <xsl:when test="$fop.extensions != 0">0pt</xsl:when>
        <xsl:when test="$passivetex.extensions != 0">0pt</xsl:when>
        <xsl:otherwise>4pc</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

This parameter provides the means of indenting the body text relative to section titles. For left-to-right text direction, it indents the left side. For right-to-left text direction, it indents the right side. It is used in place of the `title.margin.left` for all XSL-FO processors except FOP 0.25. It enables support for side floats to appear in the indented margin area.

This start-indent property is added to the fo:flow for certain page sequences. Which page-sequences it is applied to is determined by the template named `set.flow.properties`. By default, that template adds it to the flow for page-sequences using the “body” master-reference, as well as appendixes and prefaces.

If this parameter is used, section titles should have a start-indent value of 0pt if they are to be outdented relative to the body text.

If you are using FOP, then set this parameter to a zero width value and set the `title.margin.left` parameter to the negative value of the desired indent.

See also `body.end.indent` and `title.margin.left`.

Prev | Up | Next
body.margin.outer | Home | body.end.indent